{% extends "base.html" %}
{% load static %}

{% block css %}

<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">

{% endblock css %}

{% block title %}
<h1><i class="zmdi zmdi-calendar"></i> Comentar Tareas </h1>
<!-- <ol class="breadcrumb">
    <li>
        <a href="javascript:void(0)">Dashboard</a>
    </li>
    <li>
        <a href="javascript:void(0)">Evaluación</a>
    </li>
    <li class="active">Rúbricas</li>
</ol> -->

{% endblock title %}
{% block content %}
<div class="col-md-6">
    <div class="card type--profile">
        <header class="card-heading">
            <div id="profile-container">
                <img id="profileImage" src="{{ practicante.alumno.img.url }}" title="Haz click para cambiar la imagen" class="profileImage img-circle">
            </div>
        </header>
        <div class="card-body">
            <h3 class="name">{{ practicante.alumno.name }}</h3>
            <span class="title">{{ practicante.empresa.nombre }}</span>
        </div>
        <!-- <footer class="card-footer border-top">
            <div class="row row p-t-10 p-b-10">
                {% if request.session.type == "AL" %}
                <div class="col-md-6"><span class="count">250</span><span>PPA</span></div>
                <div class="col-md-6"><span class="count">627</span><span>PGA</span></div>
                {% elif request.session.type == "DC" or request.session.type == "SA" %}
                <div class="col-xs-4 col-xs-offset-4"><span class="count">{{projects}}</span><span>Proyectos Activos</span></div>
                {% elif request.session.type == "DO" %}
                <div class="col-xs-4 col-xs-offset-4"><span class="count">{{projects}}</span><span>Mis Proyectos Activos</span></div>
                {% endif %}
            </div>
        </footer> -->
    </div>
</div>

<div class="col-lg-6">
    <div class="social-feed-box">
        <h1>Semana {{ semana.number }} - Tarea: {{ task.pk }}</h1>
        <div class="social-avatar">

        </div>
        <div class="social-body">
            <h2>
                <strong>{{ task.name }}</strong>
            </h2>

            <!-- <div class="btn-group">
                <button class="btn btn-white btn-xs"><i class="fa fa-thumbs-up"></i> Like this!</button>
                <button class="btn btn-white btn-xs"><i class="fa fa-comments"></i> Comment</button>
                <button class="btn btn-white btn-xs"><i class="fa fa-share"></i> Share</button>
            </div> -->
        </div>
        <div class="social-footer" id="comentario_div{{task.pk}}">
            <h2>Comentarios:</h2>
            {% for comentario in task.comments_set.all %}
            <div class="social-comment">
                <!-- <a href="" class="pull-left">
                    <img alt="image" src="img/a1.jpg">
                </a> -->
                <div class="pull-right social-action dropdown">
                    <a href="javascript:void(0)" data-toggle="dropdown" aria-expanded="false">
                        <i class="zmdi zmdi-more-vert"></i>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-right btn-primary">
                        <li><a data-toggle="modal" data-target="#exampleModal" data-pk="{{comentario.pk}}">Editar</a></li>
                        <li><a href="{% url 'eliminar_comentario' comentario.pk %}">Eliminar</a></li>
                    </ul>
                </div>
                <div class="media-body">
                    <a>
                        <strong>{{ comentario.autor }}:</strong>
                    </a>
                        {{ comentario.texto }}
                    <br/>
                    <small class="text-muted">{{ comentario.fecha_pub|date:"d/m/Y" }}</small>
                    <br>
<!--
                    <button data-toggle="modal" data-target="#exampleModal" data-pk="{{y.pk}}" class='btn btn-blue btn-sm'><i class="fa fa-pencil"></i> Editar</button><button data-pk="{{y.pk}}" class="btn eliminar_tarea btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar</button> -->
                    <br><br>
                </div>
            </div>
            {% endfor %}
        </div>
        <div class="social-comment">
            <!-- <a href="" class="pull-left">
                <img alt="image" src="img/a3.jpg">
            </a> -->
            <div class="media-body">
                <div class="form-group">
                    <label class="control-label">Comentario</label>
                    <div class=" ">
                        <input class=" form-control" id="comentario_val_{{task.pk}}" name="name" required="" type="text">
                        <button type="button" class="comentar btn-sm btn btn-primary" data-task="{{task.pk}}" style="">Comentar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- modal block -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" style="width:70%" role="document">
    <div class="modal-content">
      <div class="modal-header">
          <h2 style="color:white;" class="text-center">Editar Comentario</h2>
      </div>
      <div class="modal-body">
        <div class="row">
           <div class="col-md-12">
               <input type="text" id="pk_comentario_edit" style="display:none;">
                <div class="form-group">
                    <label class="control-label" for="item">Comentario</label>
                    <input class="form-control" value="" id="edit_comentario" name="edit_comentario" required type="text">
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
           <div class="row">
                <div class="col-md-6">
                    <button id="editar_comentario" class="btn btn-primary btn-block"><i class="fa fa-save"></i> Guardar Cambios</button>
                </div>
                <div class="col-md-6">
                    <button type="button" class="btn btn-block btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                </div>
           </div>
      </div>
    </div>
  </div>
</div>


<!-- end modal block -->

{% endblock content %}

{% block javascript %}

<script>


$(document).ready(function() {

    $(".comentar").on("click",function(){
        var pk = $(this).data("task");

        data = {
                    csrfmiddlewaretoken: '{{ csrf_token }}',
                    pk_tar: pk,
                    // autor: $("#autor_val_"+pk).val(),
                    comentario: $("#comentario_val_"+pk).val(),


                };

        $.post("{% url 'agregar_comentario' %}",data,function(response){

            $("#comentario_div" + pk).append("<div id='div_" + response.pk + "'><div class='social-comment'><div class='pull-right social-action dropdown'><a href='javascript:void(0)' data-toggle='dropdown' aria-expanded='false'><i class='zmdi zmdi-more-vert'></i></a><ul class='dropdown-menu dropdown-menu-right btn-primary'><li><a data-toggle='modal' data-target='#exampleModal' data-pk=" + response.pk + ">Editar</a></li><li><a href='#'>Eliminar</a></li></ul></div><div class='media-body'><a><strong>" + response.autor + ": </strong></a>" + $("#comentario_val_"+pk).val() + "<br/><small class='text-muted'>" + response.fecha + "</small><br><br><br></div></div>");
            $("#comentario_val_" + pk).val("");
        });

    });

    $('#exampleModal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) // Button that triggered the modal
        var pk = button.data('pk') // Extract info from data-* attributes
        $("#pk_comentario_edit").val(pk);
        data = {
            csrfmiddlewaretoken: '{{ csrf_token }}',
            pk_tarea: pk,
        };

        $.post("{% url 'get_comentario' %}",data,function(response){
            $("#edit_comentario").val(response.comentario)
        });

    });

    $("#editar_comentario").on("click",function(){

        data = {
            csrfmiddlewaretoken: '{{ csrf_token }}',
            pk_tarea: $("#pk_comentario_edit").val(),
            edit_comentario: $("#edit_comentario").val(),

        };

        $.post("{% url 'edit_comentario' %}",data,function(response){
            $("#tr_" + response.pk).html(response.html);
            $("#exampleModal").modal("toggle");
        });

    });


});

</script>


{% endblock javascript %}
